How to install PHP 7.2?

The title says it all. I'm trying to install PHP7.2 on RPi 3 so I can install OwnCloud on it. When I run sudo apt-get install php7.2 -y I get Unable to locate package php7.2.

Do I need to add a repo into sources list ?

Answers 1

  • I would move your Pi to Buster and use 7.3 of php.

    Owncloud version 10.3 recommendation is Apache using php 7.3 as of May 2020.

    There is a note in the forum that the current test build uses php 7.4

    Going by the php change log 7.3.18 is the latest release for 7.3 and 7.2.31 for 7.2

    If you do need a specific point release then the source code for releases are still available and can be compiled on a Pi if needed. I have broken a Pi though doing this on Jessie so Stretch and Buster where welcomed :)


Related Questions